curl -X POST 'https://foodsoul.ru/api/crm/v2/mobile_apps_settings.update?branch_id=1' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: pt' \
-H 'role: partner' \
-F 'apps_notice=Hello World' \
-F 'template=side_menu' \
-F 'mobile_apps_title=Pizza' \
-F 'mobile_apps_subtitle=Pizza' \
-F 'mobile_apps_icon_name=icon1' \
-F 'mobile_apps_keywords=delivery,online,order,pizza,sushi,rolls,snacks,salads,sets' \
-F 'mobile_apps_short_description=We are here to make your day better' \
-F 'mobile_apps_full_description=Use the application to order food: pick your dishes, pay online and get them delivered to your door in a few clicks' \
-F 'update_metadata=true' \
-F 'update_screenshots=true' \
-F 'ios_force_update_enabled=true' \
-F 'marketer_reviewed=true' \
-F 'auto_change=true' \
-F 'designer_reviewed=true' \
-F 'special_offers_separate_section=true' \
-F 'special_offers_title_in_catalog=true' \
-F 'bottom_menu_icons_and_titles_bold=true' \
-F 'bottom_menu_titles_show=true' \
-F 'side_menu_icons_and_titles_bold=true' \
-F 'side_menu_background_color=C51162' \
-F 'side_menu_icons_and_titles_color=C51162' \
-F 'catalog_items_in_two_columns=true' \
-F 'catalog_horizontal_categories=true' \
-F 'catalog_items_animation_on_tap_enabled=true' \
-F 'special_offers_animation_on_tap_enabled=true' \
-F 'theme_default=light' \
-F 'theme_day=light' \
-F 'theme_night=dark' \
-F 'main_color=C51162' \
-F 'catalog_items_image_ratio=5:2' \
-F 'catalog_items_max_rows_description=3' \
-F 'background_image_link=https://cdn.foodsoul.test/backgrounds/mobile_apps/0f8bb6781f04a1cb0e231bd06356b86c.jpg' \
-F 'background_image=@file.jpg' \
-F 'radius_blur=0' \
-F 'logo=@file.jpg' \
-F 'ios_icon=@file.jpg' \
-F 'watch_icon=@file.jpg' \
-F 'android_icon=@file.jpg' \
-F 'google_play_metadata=@file.jpg'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://foodsoul.ru/api/crm/v2/mobile_apps_settings.update?branch_id=1', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'pt',
'role' => 'partner',
],
'multipart' => [
[
'name' => 'apps_notice',
'contents' => 'Hello World',
],
[
'name' => 'template',
'contents' => 'side_menu',
],
[
'name' => 'mobile_apps_title',
'contents' => 'Pizza',
],
[
'name' => 'mobile_apps_subtitle',
'contents' => 'Pizza',
],
[
'name' => 'mobile_apps_icon_name',
'contents' => 'icon1',
],
[
'name' => 'mobile_apps_keywords',
'contents' => 'delivery,online,order,pizza,sushi,rolls,snacks,salads,sets',
],
[
'name' => 'mobile_apps_short_description',
'contents' => 'We are here to make your day better',
],
[
'name' => 'mobile_apps_full_description',
'contents' => 'Use the application to order food: pick your dishes, pay online and get them delivered to your door in a few clicks',
],
[
'name' => 'update_metadata',
'contents' => 'true',
],
[
'name' => 'update_screenshots',
'contents' => 'true',
],
[
'name' => 'ios_force_update_enabled',
'contents' => 'true',
],
[
'name' => 'marketer_reviewed',
'contents' => 'true',
],
[
'name' => 'auto_change',
'contents' => 'true',
],
[
'name' => 'designer_reviewed',
'contents' => 'true',
],
[
'name' => 'special_offers_separate_section',
'contents' => 'true',
],
[
'name' => 'special_offers_title_in_catalog',
'contents' => 'true',
],
[
'name' => 'bottom_menu_icons_and_titles_bold',
'contents' => 'true',
],
[
'name' => 'bottom_menu_titles_show',
'contents' => 'true',
],
[
'name' => 'side_menu_icons_and_titles_bold',
'contents' => 'true',
],
[
'name' => 'side_menu_background_color',
'contents' => 'C51162',
],
[
'name' => 'side_menu_icons_and_titles_color',
'contents' => 'C51162',
],
[
'name' => 'catalog_items_in_two_columns',
'contents' => 'true',
],
[
'name' => 'catalog_horizontal_categories',
'contents' => 'true',
],
[
'name' => 'catalog_items_animation_on_tap_enabled',
'contents' => 'true',
],
[
'name' => 'special_offers_animation_on_tap_enabled',
'contents' => 'true',
],
[
'name' => 'theme_default',
'contents' => 'light',
],
[
'name' => 'theme_day',
'contents' => 'light',
],
[
'name' => 'theme_night',
'contents' => 'dark',
],
[
'name' => 'main_color',
'contents' => 'C51162',
],
[
'name' => 'catalog_items_image_ratio',
'contents' => '5:2',
],
[
'name' => 'catalog_items_max_rows_description',
'contents' => '3',
],
[
'name' => 'background_image_link',
'contents' => 'https://cdn.foodsoul.test/backgrounds/mobile_apps/0f8bb6781f04a1cb0e231bd06356b86c.jpg',
],
[
'name' => 'background_image',
'contents' => '<file>',
],
[
'name' => 'radius_blur',
'contents' => '0',
],
[
'name' => 'logo',
'contents' => '<file>',
],
[
'name' => 'ios_icon',
'contents' => '<file>',
],
[
'name' => 'watch_icon',
'contents' => '<file>',
],
[
'name' => 'android_icon',
'contents' => '<file>',
],
[
'name' => 'google_play_metadata',
'contents' => '<file>',
],
],
]);
$data = json_decode((string) $response->getBody(), true);
const body = new FormData()
body.append("apps_notice", "Hello World")
body.append("template", "side_menu")
body.append("mobile_apps_title", "Pizza")
body.append("mobile_apps_subtitle", "Pizza")
body.append("mobile_apps_icon_name", "icon1")
body.append("mobile_apps_keywords", "delivery,online,order,pizza,sushi,rolls,snacks,salads,sets")
body.append("mobile_apps_short_description", "We are here to make your day better")
body.append("mobile_apps_full_description", "Use the application to order food: pick your dishes, pay online and get them delivered to your door in a few clicks")
body.append("update_metadata", "true")
body.append("update_screenshots", "true")
body.append("ios_force_update_enabled", "true")
body.append("marketer_reviewed", "true")
body.append("auto_change", "true")
body.append("designer_reviewed", "true")
body.append("special_offers_separate_section", "true")
body.append("special_offers_title_in_catalog", "true")
body.append("bottom_menu_icons_and_titles_bold", "true")
body.append("bottom_menu_titles_show", "true")
body.append("side_menu_icons_and_titles_bold", "true")
body.append("side_menu_background_color", "C51162")
body.append("side_menu_icons_and_titles_color", "C51162")
body.append("catalog_items_in_two_columns", "true")
body.append("catalog_horizontal_categories", "true")
body.append("catalog_items_animation_on_tap_enabled", "true")
body.append("special_offers_animation_on_tap_enabled", "true")
body.append("theme_default", "light")
body.append("theme_day", "light")
body.append("theme_night", "dark")
body.append("main_color", "C51162")
body.append("catalog_items_image_ratio", "5:2")
body.append("catalog_items_max_rows_description", "3")
body.append("background_image_link", "https://cdn.foodsoul.test/backgrounds/mobile_apps/0f8bb6781f04a1cb0e231bd06356b86c.jpg")
body.append("background_image", "<file>")
body.append("radius_blur", "0")
body.append("logo", "<file>")
body.append("ios_icon", "<file>")
body.append("watch_icon", "<file>")
body.append("android_icon", "<file>")
body.append("google_play_metadata", "<file>")
const response = await fetch("https://foodsoul.ru/api/crm/v2/mobile_apps_settings.update?branch_id=1", {
method: "POST",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "pt",
"role": "partner"
},
body,
})
const data = await response.json()
import requests
response = requests.request(
"POST",
"https://foodsoul.ru/api/crm/v2/mobile_apps_settings.update?branch_id=1",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "pt",
"role": "partner",
},
files={
"apps_notice": [
None,
"Hello World",
],
"template": [
None,
"side_menu",
],
"mobile_apps_title": [
None,
"Pizza",
],
"mobile_apps_subtitle": [
None,
"Pizza",
],
"mobile_apps_icon_name": [
None,
"icon1",
],
"mobile_apps_keywords": [
None,
"delivery,online,order,pizza,sushi,rolls,snacks,salads,sets",
],
"mobile_apps_short_description": [
None,
"We are here to make your day better",
],
"mobile_apps_full_description": [
None,
"Use the application to order food: pick your dishes, pay online and get them delivered to your door in a few clicks",
],
"update_metadata": [
None,
"true",
],
"update_screenshots": [
None,
"true",
],
"ios_force_update_enabled": [
None,
"true",
],
"marketer_reviewed": [
None,
"true",
],
"auto_change": [
None,
"true",
],
"designer_reviewed": [
None,
"true",
],
"special_offers_separate_section": [
None,
"true",
],
"special_offers_title_in_catalog": [
None,
"true",
],
"bottom_menu_icons_and_titles_bold": [
None,
"true",
],
"bottom_menu_titles_show": [
None,
"true",
],
"side_menu_icons_and_titles_bold": [
None,
"true",
],
"side_menu_background_color": [
None,
"C51162",
],
"side_menu_icons_and_titles_color": [
None,
"C51162",
],
"catalog_items_in_two_columns": [
None,
"true",
],
"catalog_horizontal_categories": [
None,
"true",
],
"catalog_items_animation_on_tap_enabled": [
None,
"true",
],
"special_offers_animation_on_tap_enabled": [
None,
"true",
],
"theme_default": [
None,
"light",
],
"theme_day": [
None,
"light",
],
"theme_night": [
None,
"dark",
],
"main_color": [
None,
"C51162",
],
"catalog_items_image_ratio": [
None,
"5:2",
],
"catalog_items_max_rows_description": [
None,
"3",
],
"background_image_link": [
None,
"https://cdn.foodsoul.test/backgrounds/mobile_apps/0f8bb6781f04a1cb0e231bd06356b86c.jpg",
],
"background_image": [
None,
"<file>",
],
"radius_blur": [
None,
"0",
],
"logo": [
None,
"<file>",
],
"ios_icon": [
None,
"<file>",
],
"watch_icon": [
None,
"<file>",
],
"android_icon": [
None,
"<file>",
],
"google_play_metadata": [
None,
"<file>",
],
},
)
data = response.json()
As solicitações são enviadas para foodsoul.ru — o host deste portal, não é possível escolher outro.